// For Unit 4 the code was taken from W3Schools (link: https://www.w3schools.com/howto/howto_js_slideshow.asp ).
// This code helps create a slideshow of images using HTML,CSS and Javascript. Only type.html was created using this code
// and now I have extended the same functionality to the whole catalogue.
// A lot of the HTML and CSS code for the image slideshow along with it's Javascript code has been taken from the above link.
// The proper citation to this link has been provided in the References pdf attached in Unit 4 and Unit 5 folder.

// This javascript code is used as given in the above link. No modifications is made
// to this code as it is complete and I could think of nothing to modify it to
// make it better. The only change I have made is comment the code as it wasn't commented
// in the original code.

// SlideIndex takes the first image to be shown on the webpage
var slideIndex = 1;

// Call Function showSlides which is just used to swipe
// through the images in the slideshow.
showSlides(slideIndex);

// Function used to move left and right (by click). These left and right arrows used to swipe through the images in the slideshow
function Arrow(n) {
    //when this event is clicked the slideIndex is changed
    showSlides((slideIndex += n));
}

//  Function used to click on the circles that appear at the bottom of the image
// slideshow which are also used to move through the images.
function circle(n) {
    showSlides((slideIndex = n));
}

// Function to show the images in the slideshow. n is the index of the image we
// want to view.
function showSlides(n) {
    var i;
    var slides = document.getElementsByClassName("slideshow");
    var dots = document.getElementsByClassName("dot");

    //if the index is out of the range, the index is resetted to 1 (beginning of the slideshow)
    if (n > slides.length) {
        slideIndex = 1;
    }

    //if index is smaller than 1, changes to number of the images in the slideshow
    if (n < 1) {
        slideIndex = slides.length;
    }

    //Hidding all the images to show only the one that's required.
    for (i = 0; i < slides.length; i++) {
        slides[i].style.display = "none";
    }
    for (i = 0; i < dots.length; i++) {
        dots[i].className = dots[i].className.replace(" active", "");
    }
    //displaying the required image from the array of images.
    slides[slideIndex - 1].style.display = "block";
    dots[slideIndex - 1].className += " active";
}
